<bugID>874817<Summary>[Session Restore] Put addon-compat changes behind a kill switch</Summary><Description>We should put the changes of Bug 867097, Bug 867142 and Bug 873835 behind a kill switch (preference or preprocessor directive) to ensure that we can cancel/postpone them during beta in case of emergency.</Description></bugID>